#!/bin/sh

# This file is part of Haketilo
#
# Copyright (C) 2021, jahoti
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the CC0 1.0 Universal License as published by
# the Creative Commons Corporation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# CC0 1.0 Universal License for more details.

set -e

if [ ! -e record.conf ]; then
    printf "Record of configuration 'record.conf' does not exist.\n" >&2
    exit 1
elif ! grep '^srcdir = ' record.conf >/dev/null 2>&1; then
    printf "Record of configuration 'record.conf' is invalid.\n" >&2
    exit 1
fi

SRCDIR="$(grep '^srcdir = ' record.conf)"
SRCDIR="${SRCDIR#'srcdir = '}"

DEFAULT_TARGET="$(grep '^default_target = ' record.conf)"
DEFAULT_TARGET="${DEFAULT_TARGET#'default_target = '}"

VERSION=$(cat "$SRCDIR/version" | sed 's/^"\(.*\)"$/\1/; s/-beta/b/')

sed '/^# Configuration gets included here by write_makefile\.sh$/r record.conf
s|<<VPATH>>|'"$SRCDIR"'|
s/<<VERSION>>/'"$VERSION"/ < "$SRCDIR"/Makefile.in > Makefile
